<?php

//$file = fopen("log.txt", "w");   /// BORRAR LOG
//fwrite($file, "Error $error". PHP_EOL);
//fclose($file);

$ras = $_GET['ras'];
$warehouse = $_GET['warehouse'];

$config = require ('config.php');

$conexion=$config['conexion'];

$conn = pg_connect($conexion);

$resultado['status'] = "ok";
$resultado['err'] = '';
$resultado['bultos'] = array();
$resultado['zonas'] = array();
$resultado['horas'] = array();
$resultado['errores'] = array();

$sql = "select pic, zona, momento_inicio, to_char(momento_inicio,'HH24:MI') as momento_ini, errores from peticiones where ras = $1 and pic in (select inventory_id from dhl_link_id where warehouse_id = $2) order by momento_inicio desc limit 9";
$bind = array($ras, $warehouse);
$result = pg_query_params($conn, $sql, $bind) or die('La consulta fallo: ' . pg_last_error());
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

    $pic = $row['pic'];
    $zona = $row['zona'];
    $momento_inicio = $row['momento_ini'];
    $errores = $row['errores'];

    array_push($resultado['bultos'], $pic);
    array_push($resultado['zonas'], $zona);
    array_push($resultado['horas'], $momento_inicio);
    array_push($resultado['errores'], $errores);
}

pg_free_result($result);

echo json_encode($resultado);
pg_close($conn);

?>